using System;
using System.Collections.Generic;
using System.Text;
using HumanLikeBattleRobots.Logic;
using HumanLikeBattleRobots.Data;

namespace HumanLikeBattleRobots.Graphic
{
    class ShotgunSprite: Sprite
    {
        private ushort frame;
        public ShotgunSprite(int stage, bool isLeft)
            : base(stage)
        {
            relativeCenterPosition = new Vec2f(50, 12);
            drawTexture = GraphicResources.ShotgunTexture;
            if (isLeft)
                frame = 0;
            else
                frame = 1;
        }

        public override void Draw()
        {
            drawTexture.DrawRotAxisFrame(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition, frame);
        }
    }
}
